Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Interface DefPersistable

All Superinterfaces:
  PersistentDefinition

public interface DefPersistable
extends PersistentDefinition

     NAME
          DefPersistable .java -
     DESCRIPTION

     NOTES

     VERSION
     MODIFIED   (MM/DD/YY)
          draju     02/20/98 -  Created the interface.
          draju     03/26/98 - Added Structured Storage related stuff

Version:
  INTERNAL

Field Summary
`static int` | `XML_STATEMENT` The following are the Statement types

Method Summary
`java.lang.String` | `getFullName()` This method returns the Persistence reference of the object.
`boolean` | `isDirty()` This method returns if an Object is modified from last save/load
`boolean` | `isNew()` This method returns if this object is previously persisted.
`void` | `setDirty(boolean isDirty)` This method marks the Object dirty
`void` | `setNew(boolean isNew)` This method marks the as previously persisted.

Methods inherited from interface oracle.jbo.mom.xml.PersistentDefinition
`getXMLElementTag, writeChildren, writeContents, writeObject`

Field Detail

### XML_STATEMENT

    public static final int XML_STATEMENT

  The following are the Statement types
  See Also:
    Constant Field Values

Method Detail

### isDirty

    public boolean isDirty()

  This method returns if an Object is modified from last save/load
  Returns:
    Returns true if the Object is dirty. Returns false otherwise.

### setDirty

    public void setDirty(boolean isDirty)

  This method marks the Object dirty
  Parameters:
    `isDirty` - If true the Object is marked Dirty.

### isNew

    public boolean isNew()

  This method returns if this object is previously persisted.
  Returns:
    true if the Object is previously persisted. Returns false otherwise.

### setNew

    public void setNew(boolean isNew)

  This method marks the as previously persisted. By default all objects are new objects. When the object is persisted first time, that object is marked as 'not new' object
  Parameters:
    `isNew` - If true the Object is marked as new object.

### getFullName

    public java.lang.String getFullName()

  This method returns the Persistence reference of the object. The Persistence Reference is uniquely identifiable fully qualified name of the object.
  Returns:
    the Persistence Reference of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.